<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="10dp">

                <EditText
                    android:id="@+id/et_cmd"
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789ABCDEFabcdef"
                    android:hint="16进制数据(hex)"
                    android:text="04" />

                <Button
                    android:id="@+id/btn1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="发送" />

                <Button
                    android:id="@+id/btn_stop"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="停止" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"

                >

                <EditText
                    android:id="@+id/et_uuid"
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:hint="uuid"
                    android:lines="1"
                    android:text="0000FFE1" />

                <Button
                    android:id="@+id/btn_uuid"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="特征设置" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="10dp">

                <EditText
                    android:id="@+id/et_uuid_server"
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:hint="uuid_server"
                    android:maxLines="1"
                    android:text="0000FFE0" />

                <Button
                    android:id="@+id/btn_uuid_server"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="服务设置" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="10dp">

                <EditText
                    android:id="@+id/et_notify"
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:hint="uuid_notify"
                    android:maxLines="1"
                    android:text="0000FFE2" />


                <Button
                    android:id="@+id/btn_notify"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Notify" />

                <Button
                    android:id="@+id/btn_notify_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="true" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="10dp">

                <EditText
                    android:id="@+id/et_time"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789-"
                    android:hint="发送间隔"
                    android:maxLines="1"
                    android:text="100" />

                <Button
                    android:id="@+id/btn_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="设置" />


                <Button
                    android:id="@+id/clear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="清空" />

                <Button
                    android:id="@+id/btn_log"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="log:Y" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="5dp">

                <EditText
                    android:id="@+id/etIncrementNumber"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789"
                    android:hint="递增数"
                    android:maxLines="1"
                    android:text="517" />

                <Button
                    android:id="@+id/btnIncrementSend"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="递增发送:N" />



            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="10dp"
                android:paddingEnd="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="接收:"
                    android:textSize="18dp" />

                <TextView
                    android:id="@+id/tv_receive_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textSize="18dp" />


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="50dp"
                    android:text="发送:"
                    android:textSize="18dp" />

                <TextView
                    android:id="@+id/tv_send_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textSize="18dp" />

            </LinearLayout>

        </LinearLayout>
    </ScrollView>


    <ListView
        android:id="@+id/listview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:padding="10dp"
        android:stackFromBottom="true"
        android:transcriptMode="alwaysScroll">


    </ListView>

</LinearLayout>